Get the fiber deployment of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/fiber \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/fiber', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/fiber"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"status": {
"status": "connected",
"imb_count": 0,
"infrastructure_operators_count": 0,
"nearest_imb_distance_m": 123,
"imb_states": [
"<string>"
]
},
"imbs": [
{
"id": "<string>",
"code": "<string>",
"address": "<string>",
"units": 0,
"state": "<string>",
"pm_ref": "<string>",
"pm_available_on": "<string>",
"infrastructure_operator": "<string>",
"offers": [
{
"technology": "<string>",
"operators": [
"<string>"
]
}
]
}
]
},
"meta": {}
}Buildings
Get the fiber deployment of a building
Fiber deployment status of the building (Arcep): status, building access points (IMB), infrastructure operator, retail offers.
GET
/
v1
/
buildings
/
{id}
/
fiber
Get the fiber deployment of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/fiber \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/fiber', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/fiber"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"status": {
"status": "connected",
"imb_count": 0,
"infrastructure_operators_count": 0,
"nearest_imb_distance_m": 123,
"imb_states": [
"<string>"
]
},
"imbs": [
{
"id": "<string>",
"code": "<string>",
"address": "<string>",
"units": 0,
"state": "<string>",
"pm_ref": "<string>",
"pm_available_on": "<string>",
"infrastructure_operator": "<string>",
"offers": [
{
"technology": "<string>",
"operators": [
"<string>"
]
}
]
}
]
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
BDNB building id (batiment_groupe_id). Example: "bdnb-bg-CJ69-HW8G-PTTG".
Maximum string length:
40Pattern:
^bdnb-[a-z]{2,4}-[A-Za-z0-9]{4}(-[A-Za-z0-9]{4})*$⌘I